<div class="row pt-5">
	<div class="col-12 white-box">
		<div class="row">
			<h2>Choose your seat</h2>
		</div>
		<div class="row">
			<div class="col-md-6">
				<strong ><%= params[:date] %> </strong>
			</div>
			<div class="col-md-6">
				<strong> <%= params[:no_of_seats]%> Tickets </strong>
			</div>
		</div>
		<div class="row margin-top-20px step-two">
			<div class="col-md-12 display-flex-vertical">
				<% @shows.each_with_index do |show, index| %>
					<% time_slot = show.time_slot %>
			<% klass = (show.time_slot_id.to_s == params[:ts_id]) ? 'active_time_slot' : '' %>
			<div class="time_slot <%= klass %>" id="<%= time_slot.id %>"> <%= time_slot.start_time %> </div>
		  <% end %>
			</div>
		</div>
		<div id="available_seats">
			<%= render :partial => 'available_seats' %>
		</div>
		<div class="row margin-top-20px margin-bottom-40px">
			<div class="col-md-12">
				<%= form_tag("/bookings", :method => "post", remote: true) do %>
					 <%= hidden_field_tag(:id, @movie.id) %>
					 <%= hidden_field_tag(:booking_for_date, params[:date]) %>
					 <%= hidden_field_tag(:time_slot_id) %>
					 <%= hidden_field_tag(:seat_numbers) %>
					 <%= submit_tag "Confirm My Booking", :class => 'btn btn-success confirm-my-booking', data: { disable_with: 'Processing! Please Wait'}%>
				<% end %>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
	var no_of_seats = "<%= params[:no_of_seats] %>"
	$(document).on('click', '.seat-no-wrapper', function(event){
		$(this).toggleClass('selected-seat')
		var selected_seats_count = $('.selected-seat').length
		if(selected_seats_count == no_of_seats){
			$('.confirm-my-booking').show()
			$('html, body').animate({
        scrollTop: $(".confirm-my-booking").offset().top
    	}, 500);$('#booking_for_date').val()
			$('#time_slot_id').val($('.time_slot.active_time_slot').attr('id').trim())
			var arr = []
			$( ".selected-seat" ).each(function( index ) {
				arr.push($(this).attr('id'))
			});
			$('#seat_numbers').val(arr.join(','))
		}
		else if(selected_seats_count > no_of_seats){
			$('.seat-no').removeClass('selected-seat')	
			$(this).toggleClass('selected-seat')
			if(no_of_seats != 1){
				$('.confirm-my-booking').hide()
			}
		} 
		else{
			$('.confirm-my-booking').hide()
			$('.seat-no').addClass('seat-no-wrapper')
		}
	})
</script>